#!/bin/bash
#The parameters used to generate the benchmarks are as follows	:

BENCHDIR="BENCHS"

FILES="DC_TotalLoss.seq"

# reference dal and severity
DAL="A B"
SEV="2 3"

# optimisation criterion
CRIT="irabcde abcdeir irEDCBA EDCBAir"

# dal rules to try
RULE="1 2 combined"

# global solver timeout
GTO="45000"

# result timeout
RTO="45000"

# number of resources
RES="20"

rm -rf $BENCHDIR
mkdir $BENCHDIR

declare -i cpt

cpt=49
for file in $FILES
do
  if [ ! -e "$file" ]       # Check if file exists.
  then
      echo "$file does not exist."; echo
      continue                # On to next.
  fi
  for dal in $DAL
  do
      for sev in $SEV
      do 
	  for crit in $CRIT
	  do 
	      for rule in $RULE
	      do
		  for res in $RES
		  do 
		      echo "processing $cpt $file $dal $sev $crit $rule"
		      echo " -seq=$file:$dal:$sev -dalRule=$rule -opt=$crit -solverFile=$BENCHDIR/f$cpt-`basename $file`-$dal-$sev-$rule-$crit.opb -gto=$GTO -rto=$RTO -nbResMax=$res " | tee $BENCHDIR/f$cpt-`basename $file`-$dal-$sev-$rule-$crit-$res.log
		  done
	      done
	  done
      done
  done
  cpt+=1
done  

exit 0
